Page MenuHomePhabricator

Get USB sticks with MediaWiki-Vagrant installer images for Lyon hackathon
Closed, ResolvedPublic

Description

We started making USB sticks with Vagrant + VirtualBox + git bundles on them for the Zürich hackthon to help make installing easier and to save many gigs of conference wifi downloads.

Having 15-20 USB sticks with the software pre-installed by the start of the first day of the hackathon would be optimal. We could probably get by with as few as 5 if needed as the easiest way to use the sticks is to copy the data off to the laptop's local hard drive before installing. Each new user only needs a stick for 5-10 minutes to accomplish this usually.

There is a host in Labs that can be used to prep the base image which then just needs to be copied on to the sticks. The install image is ~2.5G so 4G USB sticks are more than large enough.

Event Timeline

bd808 created this task.Mar 4 2015, 11:58 PM
bd808 updated the task description. (Show Details)
bd808 raised the priority of this task from to Low.
bd808 added subscribers: thcipriani, dduvall, bd808 and 3 others.

@Sylvain_WMFr, @AlexCella would buying the sticks fit in the Hackathon's budget? It turns out that traveling internationally with a big box of USB sticks can be an "interesting" experience at some border crossings.

@Sylvain_WMFr, @AlexCella would buying the sticks fit in the Hackathon's budget? It turns out that traveling internationally with a big box of USB sticks can be an "interesting" experience at some border crossings.

Ping?

Hey @bd808!

We'll take care of this, sorry for the delay.

We'll keep you in touch. :)

I will need you help guys.

If I understand well, we'll have 20 USB Stick with Vagrant + VirtualBox + git bundles on it and people will just copy these softwares on their computers so that we don't loose wifi, right?

Where can I find these softwares? Directly on their website?

What would be amazingly helpful, is that @bd808 puts a zip file on this page with everything that should be on the USB.

Then I'll order them. :)

Thanks!

bd808 added a comment.Mar 26 2015, 3:18 PM

I will need you help guys.

If I understand well, we'll have 20 USB Stick with Vagrant + VirtualBox + git bundles on it and people will just copy these softwares on their computers so that we don't loose wifi, right?

Where can I find these softwares? Directly on their website?

What would be amazingly helpful, is that @bd808 puts a zip file on this page with everything that should be on the USB.

I have a host in Wikimedia Labs that can generate an ISO image with all the needed software. I haven't generated a new image for several months, so I'd need a bit of time to get it all updated to the latest components. The generated ISO is downloadable from the host over http, so one I have the new image built I can post a link here.

When would you need the image? It's one of those things that works best if we make it at the last minute since that will have fresher software (MediaWiki and other components) on the USB stick.

Qgil added a comment.Mar 26 2015, 3:29 PM

Probably the easiest is to buy empty USBs, and flash them the day (probably night) before. :)

Great!

I'll buy 20 4Go USB sticks, and can we agree that @bd808 send us the image one week before the hackathon? On the 16th of May?

bd808 added a comment.Mar 26 2015, 5:17 PM

Great!

I'll buy 20 4Go USB sticks, and can we agree that @bd808 send us the image one week before the hackathon? On the 16th of May?

Works for me! Thanks @AlexCella.

bd808 moved this task from To Do to In Dev/Progress on the User-bd808 board.Mar 31 2015, 11:48 PM
bd808 moved this task from In Dev/Progress to Needs Review/Feedback on the User-bd808 board.
bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.May 13 2015, 7:54 PM
bd808 moved this task from Backlog to Done on the MediaWiki-Vagrant board.May 20 2015, 11:48 PM
bd808 moved this task from Done to Archive on the User-bd808 board.May 28 2015, 5:28 PM